# PrimitiveFixture.pm
#
# Copyright (c) 2002 Cunningham & Cunningham, Inc.
# Released under the terms of the GNU General Public License version 2 or later.
#
# Perl translation by Dave W. Smith <dws@postcognitive.com>

package PrimitiveFixture;

use base qw(Fixture);
use strict;
use TypeAdapter;

sub checkValue {
    my $self = shift;
    my($cell, $value) = @_;

    if ( TypeAdapter::equals(undef, $cell->text(), $value) ) {
	$self->right($cell);
    } else {
	$self->wrong($cell, $value);
    }
}

1;
